Retrieve a manufacture
GET
/api/v1/manufactures/{id}
const url = 'https://api.stocksmith.io/api/v1/manufactures/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.stocksmith.io/api/v1/manufactures/1 \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
integer
Manufacture ID
Responses
Section titled “ Responses ”Manufacture details
Media type application/json
object
manufacture
required
object
id
required
integer
product_id
required
ID of the associated product
integer
variation_id
integer
batch_code
string
production_status
required
E.g. ‘planned’, ‘in_progress’, ‘completed’
string
quantity
required
Planned quantity (decimal string)
string
actual_quantity
required
Actual completed quantity (decimal string)
string
minutes_worked
integer
notes
string
start_date
string format: date-time
completed_at
string format: date-time
deadline_at
string format: date-time
expiry_at
string format: date-time
line_items
required
Array<object>
object
id
integer
material_id
ID of the consumed material
integer
name
Material name
string
sku
string
unit_measure
string
quantity
Decimal string
string
lot_number
string
unit_price
Omitted for view-only users.
object
amount
Decimal string, e.g. ‘8.75’
string
currency_code
ISO 4217 code, e.g. ‘USD’
string
actual_unit_price
Omitted for view-only users.
object
amount
Decimal string, e.g. ‘8.75’
string
currency_code
ISO 4217 code, e.g. ‘USD’
string
created_at
string format: date-time
updated_at
string format: date-time
total_materials_cost
Omitted for view-only users.
object
amount
Decimal string, e.g. ‘8.75’
string
currency_code
ISO 4217 code, e.g. ‘USD’
string
total_labour_cost
Omitted for view-only users.
object
amount
Decimal string, e.g. ‘8.75’
string
currency_code
ISO 4217 code, e.g. ‘USD’
string
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example generated
{ "manufacture": { "id": 1, "product_id": 1, "variation_id": 1, "batch_code": "example", "production_status": "example", "quantity": "example", "actual_quantity": "example", "minutes_worked": 1, "notes": "example", "start_date": "2026-04-15T12:00:00Z", "completed_at": "2026-04-15T12:00:00Z", "deadline_at": "2026-04-15T12:00:00Z", "expiry_at": "2026-04-15T12:00:00Z", "line_items": [ { "id": 1, "material_id": 1, "name": "example", "sku": "example", "unit_measure": "example", "quantity": "example", "lot_number": "example", "unit_price": { "amount": "example", "currency_code": "example" }, "actual_unit_price": { "amount": "example", "currency_code": "example" }, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" } ], "total_materials_cost": { "amount": "example", "currency_code": "example" }, "total_labour_cost": { "amount": "example", "currency_code": "example" }, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" }}Missing or invalid Bearer token
Media type application/json
object
error
required
Error message
string
Example generated
{ "error": "example"}Manufacture not found
Media type application/json
object
error
required
Error message
string
Example generated
{ "error": "example"}